Skip to main content
POST
/
api
/
users
/
{userId}
/
set-password
Set password for SSO user
curl --request POST \
  --url https://studio.edgeimpulse.com/v1/api/users/{userId}/set-password \
  --header 'Content-Type: application/json' \
  --data '
{
  "accessToken": "<string>",
  "identityProvider": "<string>",
  "password": "<string>"
}
'
import requests

url = "https://studio.edgeimpulse.com/v1/api/users/{userId}/set-password"

payload = {
"accessToken": "<string>",
"identityProvider": "<string>",
"password": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({accessToken: '<string>', identityProvider: '<string>', password: '<string>'})
};

fetch('https://studio.edgeimpulse.com/v1/api/users/{userId}/set-password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "error": "<string>"
}

Path Parameters

userId
integer
required

User ID

Body

application/json
accessToken
string
required
identityProvider
string
required
password
string
required

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

error
string

Optional error description (set if 'success' was false)